Summary
Create Automation
Description
Create a new Automation.
Route
POST /operations-manager/automations
Roles
admin
apiwrite
engineering
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| automation |
object |
yes |
The details of the Automation document to be created. |
Copied to Clipboard
{
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "workflows",
"gbac": {
"write": [
"b08835d5a0db08a40a70b07a",
"7a73a980f9ff5074dac28424",
"4b899c7a6301b40bf4459816",
"f844e61573d89c8daa396282"
],
"read": [
"32dda9de5f8b85a76a3da419"
]
},
"componentId": ""
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| results |
object |
The result of the create operation. |
Copied to Clipboard
{
"message": "Successfully imported 3 of 4 documents",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"componentType": "workflows",
"createdBy": "Pronghorn",
"created": "2008-05-28T17:54:31.365Z",
"lastUpdatedBy": "Pronghorn",
"lastUpdated": "1966-03-25T03:29:22.385Z",
"_id": "253864b44e65a702187c1d92",
"gbac": {
"write": [
"bb2c06368a010c1366731531",
"5794fd4ac4b9dc17178fdcf0",
"b4c72d09c17b3b33ac19bef9",
"b80e849e3d3628e046cab86f"
],
"read": [
"01e4a86f3cb551504ab120cd",
"0b3eb294660667fd8fd03eab",
"ef9dee79be8dbdf3bafbc537"
]
},
"componentId": "0EFdEa9a-d61a-BcE2-ECB6-49C2F10dD203"
}
}